Name:       libmm-streamrecorder
Summary:    Media Stream Recorder library
Version:    0.0.26
Release:    0
Group:      Multimedia/Other
License:    Apache-2.0
Source0:    %{name}-%{version}.tar.gz
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
BuildRequires:  pkgconfig(mm-common)
BuildRequires:  pkgconfig(capi-media-tool)
BuildRequires:  pkgconfig(dlog)
BuildRequires:  pkgconfig(gstreamer-base-1.0)
BuildRequires:  pkgconfig(gstreamer-video-1.0)
BuildRequires:  pkgconfig(gstreamer-app-1.0)
BuildRequires:  pkgconfig(iniparser)
%if 0%{?gtests:1}
BuildRequires:  pkgconfig(gmock)
%endif

%description
This library is for making video/audio files with gstreamer


%package devel
Summary:    Common recorder development library
Group:      libdevel
Version:    %{version}
Requires:   %{name} = %{version}-%{release}

%description devel
Media Stream Recorder development library


%prep
%setup -q


%build
#export CFLAGS+=" -DGST_EXT_TIME_ANALYSIS"
export CFLAGS+=" -Wall -Wextra -Wno-array-bounds -Wno-empty-body -Wno-ignored-qualifiers -Wno-unused-parameter -Wshadow -Wwrite-strings -Wswitch-default -Wno-unused-but-set-parameter -Wno-unused-but-set-variable"
export CFLAGS+=" -DSYSCONFDIR=\\\"%{_sysconfdir}\\\""
./autogen.sh
%configure \
%if 0%{?gtests:1}
--enable-tests \
%endif
--disable-static

make %{?jobs:-j%jobs}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%manifest libmm-streamrecorder.manifest
%license LICENSE.APLv2
%defattr(-,root,root,-)
%{_bindir}/*
%{_libdir}/*.so.*
%if 0%{?gtests:1}
%{_bindir}/gtest-libmm-streamrecorder
%endif


%files devel
%defattr(-,root,root,-)
%{_includedir}/mmf/mm_streamrecorder.h
%{_libdir}/pkgconfig/mm-streamrecorder.pc
%{_libdir}/*.so
